Add assessment profile

Cortex XSIAM Platform APIs

post /public_api/v1/compliance/add_assessment_profile

Create a custom compliance assessment profile that is tailored to your own business needs and organizational policies.

Required license: Cortex Cloud Runtime Security or Cortex Cloud Posture Management

Authentication: XDRAuthToken Api Key "Authorization"
Authentication: XDRAuth Api Key "x-xdr-auth-id"
CLIENT REQUEST
curl -X 'POST'
-H "Authorization: [[apiKey]]" \
-H "x-xdr-auth-id: [[apiKey]]" \
-H 'Accept: application/json'
-H 'Content-Type: application/json'
'https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile'
-d ''
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}" headers = { 'x-xdr-auth-id': "REPLACE_KEY_VALUE", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/compliance/add_assessment_profile", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["x-xdr-auth-id"] = 'REPLACE_KEY_VALUE' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "profile_name": "string", "asset_group_id": "string", "standard_id": "string", "description": "string", "report_targets": [ "user@example.com" ], "report_type": "ALL", "evaluation_frequency": "0 12 * * *" } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile"); xhr.setRequestHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile") .header("x-xdr-auth-id", "REPLACE_KEY_VALUE") .header("content-type", "application/json") .body("{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}") .asString();
import Foundation let headers = [ "x-xdr-auth-id": "REPLACE_KEY_VALUE", "content-type": "application/json" ] let parameters = ["request_data": [ "profile_name": "string", "asset_group_id": "string", "standard_id": "string", "description": "string", "report_targets": ["user@example.com"], "report_type": "ALL", "evaluation_frequency": "0 12 * * *" ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}", CURLOPT_HTTPHEADER => [ "content-type: application/json", "x-xdr-auth-id: REPLACE_KEY_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "x-xdr-auth-id: REPLACE_KEY_VALUE"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/compliance/add_assessment_profile"); var request = new RestRequest(Method.POST); request.AddHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"profile_name\":\"string\",\"asset_group_id\":\"string\",\"standard_id\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\"}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
request_dataobject
profile_namestringrequired

Name of the assessment profile

asset_group_idstringrequired

Asset Group ID

standard_idstringrequired

Standard ID

descriptionstring

Description of the assessment profile

report_targetsarray[string]

Assessment profile targets

report_typestring (Enum)

Assessment profile repor type. Valid values include:

  • ALL
  • PDF
  • CSV
  • NONE
Allowed values:"ALL""PDF""CSV""NONE"
evaluation_frequencystringcron

Assessment report evaluation frequency

Example:"0 12 * * *"
REQUEST
{ "request_data": { "profile_name": "profile example", "description": "profile description example", "evaluation_frequency": "0 12 * * *", "asset_group_id": "3", "report_type": "ALL", "standard_id": "532ac684-451c-5c789-b1a8-7c325b678843", "report_targets": [ "user@company.com" ] } }
Responses

Successfully created assessment profile

Body
application/json
successboolean

Whether the assessment profile creation succeeded

RESPONSE
{ "success": false }

Bad request - invalid input parameters

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 400, "err_msg": "Invalid filter field. Allowed fields: name, category, subcategory, is_custom, creation_time, created_by, modified_by, modification_time, id, description", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid operator 'range' for field 'name'. Allowed operators: eq, neq, contains, not_contains", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Missing required parameter: control_name", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid value for is_custom field. Allowed values: yes, no", "err_extra": {} } }

Authentication required

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 401, "err_msg": "Authentication credentials were not provided or are invalid", "err_extra": {} } }

Access denied - insufficient permissions

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 403, "err_msg": "You do not have permission to access assessment results", "err_extra": {} } }

Conflict - duplicate resource

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 0, "err_msg": "example", "err_extra": {} } }

Internal server error

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 500, "err_msg": "Failed to retrieve controls", "err_extra": {} } }